Package twisted :: Package spread :: Module util :: Class Pager |
[show private | hide private]
[frames | no frames]

## Class Pager

Known Subclasses:
  `StringPager`

I am an object which pages out information.

Method Summary
| ``__init__`(self, collector, callback, *args, **kw)` Create a pager with a Reference to a remote collector and an optional callable to invoke upon completion.
| ``nextPage`(self)` Override this to return an object to be sent to my collector.
| ``sendNextPage`(self)` (internal) Method called by Broker.
| ``stillPaging`(self)` (internal) Method called by Broker.
| ``stopPaging`(self)` Call this when you're done paging.

Method Details

### __init__(self, collector, callback=None, *args, **kw) (Constructor) Create a pager with a Reference to a remote collector and an optional callable to invoke upon completion.

### nextPage(self) Override this to return an object to be sent to my collector.

### sendNextPage(self) (internal) Method called by Broker.

### stillPaging(self) (internal) Method called by Broker.

### stopPaging(self) Call this when you're done paging.

Generated by Epydoc 1.1 on Thu May 8 13:19:03 2003 | http://epydoc.sf.net